# Contributing

👍🎉⭐️ Thank you for any and all contributions! 👍🎉⭐️

When contributing to this repository, please first address the change you wish to make via issue. Pull Requests without an issue will not be accepted.

Please note we have a code of conduct, please follow it in all your interactions with the project. 💖

## How Can I Contribute?

You can always open issues or submit code to improve this project. Read the guidelines below.

### Reporting Bugs

🐛 Bugs are tracked as GitHub issues. After you've determined which repository your bug is related to, create an issue on that repository and provide the following information using the [issue template](/.github/ISSUE_TEMPLATE.md).

#### Before Submitting an Issue Please Read These Helpful Tips. 👀

* Use a clear and descriptive title for the issue to identify the problem.
* Describe the exact steps which reproduce the problem in as much detail as possible. When listing steps, don't just say what you did, but also explain how you did it.
* Provide specific examples to demonstrate the steps. Include links to files or GitHub projects, or copy/pasteable snippets, which you use in those examples. If you're providing snippets in the issue, use Markdown code blocks.
* Describe the behavior you observed after following the steps and point out what exactly is the problem with that behavior.
* Explain which behavior you expected to see instead and why.
* If the problem wasn't triggered by a specific action, describe what you were doing before the problem happened and share more information using the guidelines below.


### Suggesting Enhancements

This section guides you through submitting an enhancement suggestion, including completely new features and minor improvements to existing functionality. Following these guidelines helps maintainers and the community understand your suggestion 📝 and find related suggestions 🔎.

#### Before Submitting an Enhancement Suggestion 👀

Please check all :octocat: issues as you might find out that you don't need to create one. When you are creating an enhancement suggestion and please include as much detail as possible.

* Check if there's already an issue which suggests that enhancement. If there is, add a comment to the existing issue instead of opening a new one.
* Submit using the [issue template](/.github/ISSUE_TEMPLATE.md)



### Pull Requests

#### Before Submitting a Pull Request 👀

1. Ensure any install or build dependencies are removed before the end of the layer when doing a build.
2. Update the README.md with details of changes to the interface, this includes new environment variables, exposed ports, useful file locations and container parameters.
3. Increase the version numbers in any examples files and the README.md to the new version that this Pull Request would represent.
4. Follow guidlines in the [pull request template](/.github/PULL_REQUEST_TEMPLATE.md)
5. Pull Requests must have the sign-off of two other developers and at least one of these must be an IDX Broker team member.

While the prerequisites above must be satisfied prior to having your pull request reviewed, the reviewer(s) may ask you to complete additional design work, tests, or other changes before your pull request can be ultimately accepted.

###### Attribution

This Contributing doc is adapted from the :atom: doc,
available [here](https://github.com/atom/atom)
